A game's free covers allowance, and its latest covers jobs
curl --request GET \
--url https://patch.gg/api/v1/projects/{owner}/{slug}/covers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/projects/{owner}/{slug}/covers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/projects/{owner}/{slug}/covers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"allowance": {
"free": true,
"note": "<string>",
"takes_per_game": 123,
"fixes_per_game": 123,
"takes_used": 123,
"fixes_used": 123,
"takes_left": 123,
"fixes_left": 123,
"stopped": "<string>"
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"kind": "make",
"state": "queued",
"shape": "<string>",
"subject": "<string>",
"instruction": "<string>",
"fixes": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"takes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shape": "wide",
"state": "making",
"url": "<string>",
"preview_url": "<string>",
"width": 123,
"height": 123,
"fixed_from": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"set_as": "<string>",
"error": "<string>"
}
],
"allowance": {
"free": true,
"note": "<string>",
"takes_per_game": 123,
"fixes_per_game": 123,
"takes_used": 123,
"fixes_used": 123,
"takes_left": 123,
"fixes_left": 123,
"stopped": "<string>"
},
"next": "<string>",
"created_at": "<string>"
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Covers
A game's free covers allowance, and its latest covers jobs
Free: Patch pays for this, and it costs the creator nothing, up to a game’s allowance (12 takes and 4 fixes), once the game has a release (a draft is enough): Patch sponsors cover generation.
GET
/
projects
/
{owner}
/
{slug}
/
covers
A game's free covers allowance, and its latest covers jobs
curl --request GET \
--url https://patch.gg/api/v1/projects/{owner}/{slug}/covers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/projects/{owner}/{slug}/covers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/projects/{owner}/{slug}/covers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"allowance": {
"free": true,
"note": "<string>",
"takes_per_game": 123,
"fixes_per_game": 123,
"takes_used": 123,
"fixes_used": 123,
"takes_left": 123,
"fixes_left": 123,
"stopped": "<string>"
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"kind": "make",
"state": "queued",
"shape": "<string>",
"subject": "<string>",
"instruction": "<string>",
"fixes": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"takes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shape": "wide",
"state": "making",
"url": "<string>",
"preview_url": "<string>",
"width": 123,
"height": 123,
"fixed_from": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"set_as": "<string>",
"error": "<string>"
}
],
"allowance": {
"free": true,
"note": "<string>",
"takes_per_game": 123,
"fixes_per_game": 123,
"takes_used": 123,
"fixes_used": 123,
"takes_left": 123,
"fixes_left": 123,
"stopped": "<string>"
},
"next": "<string>",
"created_at": "<string>"
}
]
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}